<template>
  <h1 class="flex is-direction:column has-margin title title:large font-black">
    <base-scroll-animation :type="'fade'" :duration="1000">
      <template v-slot:animate>
        <span> H<span class="alt-font -salt">E</span>LLO. </span>
      </template>
    </base-scroll-animation>
    <base-scroll-animation :type="'fade'" :duration="1250" :delay="500">
      <template v-slot:animate>
        <span class="is-padded">
          <span class="alt-font -salt">E</span>NJOY.
        </span>
      </template>
    </base-scroll-animation>
  </h1>
</template>

<script>
export default {};
</script>

<style lang="scss" scoped>
@import "~@/assets/scss/config/_variables";
.title\:large {
  position: relative;
  z-index: 2;
  font-size: 5.59rem;
  align-items: center;
  letter-spacing: -4.97px;
  @media all and (min-width: 375px) {
    // letter-spacing: -6.4px;
    font-size: 6rem;
    letter-spacing: -9px;
  }
  @media all and (min-width: 414px) {
    font-size: 6.75rem;
  }
  /* Portrait */
  // @media only screen and (min-device-width: 768px) and (max-device-width: 1024px) and (orientation: portrait) and (-webkit-min-device-pixel-ratio: 2) {
  //   font-size: 8.9rem;
  // }
  @media all and (min-width: $intro-mobilebreak) {
    letter-spacing: -10.5px;
    align-items: flex-start;
    font-size: 9rem;
  }
  @media all and (min-width: $intro-midbreak) {
    font-size: 11.2rem;
  }
  @media all and (min-width: 1920px) {
    font-size: 15rem;
  }
}
.has-margin {
  margin-left: 0;
  margin-bottom: 1.3rem;
  @media all and (min-width: $intro-mobilebreak) {
    margin-bottom: 3rem;
    margin-left: 2rem;
  }
  @media all and (min-width: 1024px) {
    letter-spacing: -10px;
    margin-left: 11.3rem;
  }
  @media all and (min-width: $intro-midbreak) {
    // letter-spacing: -10px;
    // margin-left: 11.3rem;
    margin-bottom: 0;
  }
}
.is-padded {
  padding-left: 0;
  @media all and (min-width: $intro-mobilebreak) {
    padding-left: 11.5rem;
  }

  @media all and (min-width: $intro-midbreak) {
    padding-left: 13.9rem;
  }
}
</style>
